Ticket #15 (closed defect: fixed)

Opened 11 years ago

Last modified 11 years ago

Return message from CheckEquilibriumSpec

Reported by: michelpons Owned by: Michael Halloran
Priority: major Milestone:
Component: COLoggers Version: 1.08.2
Keywords: Cc: michaelhalloran

Description

De: Michel Pons [technologyofficer@…]
Envoyé: Friday, May 08, 2009 10:43 AM
À: 'Ahsan Akhtar'
Cc: 'Michael Halloran'
Objet: COLTT 09-008 CheckEquilibriumSpec

Pièces jointes: hysys_050809_103340.log

Ahsan,

I transferred the modified COLoggersST.dll file to the VM hosting the 09-008 case and I reran it with logging enabled on the Thrm11PP.

I get now the attached log file but Aspen Hysys is still crashing.

For sure the log now shows:

PropertyPackage <Anonymous> : Call to CheckEquilibriumSpec

CheckEquilibriumSpec takes input arguments:

Specification1 Specification2 Solution Type

Property temperature pressure Unspecified
Basis (null) (null)
Phase Overall Overall
CompoundId (null) (null)

MaterialObject <Anonymous> : Call to GetPresentPhases

Instead of:

PropertyPackage <Anonymous> : Call to CheckEquilibriumSpec

CheckEquilibriumSpec takes input arguments:

Specification1 Specification2 Solution Type

MaterialObject <Anonymous> : Call to GetPresentPhases

But for the return call, there is still:

CheckEquilibriumSpec returns:

Specification1 Specification2 Solution Type isSupported

PropertyPackage <Anonymous> : Return from CheckEquilibriumSpec - No Error

Aren’t the specifications and solution type meant to be rewritten in the log file at exit of CheckEquilibriumSpec? At least it was done so in COLTT v1.07:

CheckEquilibriumSpec returns:
Specification1 Specification2 Solution Type isSupported

Property pressure enthalpy Unspecified True
Basis (null) (null)
Phase Overall Overall
CompoundId (null) (null)

PropertyPackage <Thrm11PPack> : Return from CheckEquilibriumSpec - No Error

So if something has been resolved at calling time of CheckEquilibriumSpec, I think there is still an issue at exit.

Best regards

Michel
==========================================================
De: Michel Pons [technologyofficer@…]
Envoyé: Thursday, May 07, 2009 6:48 PM
À: 'Ahsan Akhtar'
Cc: 'Michael Halloran'
Objet: RE: PCNow Session

Ahsan,

OK for a session tomorrow morning, May 8.

I have a virtual machine set up for COLTT issue 09-006 with VS2008 Express edition installed as well as TOTAL HDPEReactor and Aspen Plus 7.1. However I don’t know where to get the proper version of the 1.08.02 COLTT source code. Could you send me a link from which I could download the source code before the session takes place?

I have also virtual machines for issues 09-008 and 09-009.

Best regards

Michel
===========================================================
De: Ahsan Akhtar [ahsan.akhtar@…]
Envoyé: Thursday, May 07, 2009 10:59 AM
À: 'Michel Pons'
Objet: PCNow Session

Michel,

Is it possible for you to have a session tomorrow morning at 8.00 am Paris time?

I want to debug and fix the issue 09-006. I will need TOTAL HDPEReactor and Aspen Plus v7.1 components installed on the machine. I will also need VS2008 and COLTT source code on that machine.

I will also run 09-008 and 09-009 issues to check if these are fixed.

Best Regards

Ahsan
=====================================================
De: Michel Pons [technologyofficer@…]
Envoyé: Tuesday, April 21, 2009 12:10 PM
À: 'Ahsan Akhtar'
Cc: 'michaeljhalloran@…'
Objet: ThrmPP11 in Aspen Hysys

Pièces jointes: hysys_042109_113225v1.07.log; hysys_042109_113929v10802.log

Ahsan,

While checking an issue with Aspen Hysys, I ran with COLTT v1.07 and COLTT v1.08.02 the following scenario and I got two different behaviours.

The scenario is quite simple. Open up Aspen Hysys v7.1, go for a new case. Then Add a FluidPkg. Choose COMThermo, then CAPE-OPEN 1.1 for vapor, CAPE-OPEN 1.1 for liquid. Select the Thrm11PP as Property package. Accept the selection. Then proceed with the Extended Property Package setup process.

Then leaves the part about choosing a Fluid Package. Aspen Hysys will scream because of some missing property for an hypothetical compound and will refuse to let you go to the Simulation Environment. That’s fine. You can exit from Aspen Hysys at that point.

Well you can with COLTT v1.07 enabled on the Property Package. The behaviour observed with COLTT v1.07 enabled is not different than without COLTT enabled. The situation is completely different with COLTT 1.08.02. Aspen Hysys crashes after the selection of the Property Package.

While with COLTT 1.07, the first CheckEquilibriumSpec call is logged as:

PropertyPackage <Thrm11PPack> : Call to CheckEquilibriumSpec

CheckEquilibriumSpec takes input arguments:

Specification1 Specification2 Solution Type

Property temperature pressure Unspecified
Basis (null) (null)
Phase Overall Overall
CompoundId (null) (null)

The same in COLTT v1.08.02 displays:

PropertyPackage <Anonymous> : Call to CheckEquilibriumSpec

CheckEquilibriumSpec takes input arguments:

Specification1 Specification2 Solution Type

So the specifications do not appear. The two log files are attached. This is making use of version ThermoPack11-1_02 of the Thermo Pack. Don’t think it matters.

I intend to log that as issue 09-008 if you have no earlier reference of such an issue.

Best regards

Michel

Attachments

hysys_042109_113225v1.07.log (132.6 KB) - added by michelpons 11 years ago.
Log file obtained with COLTT 1.07
hysys_042109_113929v10802.log (16.9 KB) - added by michelpons 11 years ago.
Log file originally obtained with COLTT 1.08.02
hysys_050809_103340.log (17.5 KB) - added by michelpons 11 years ago.
Log file subsequently obtained with modified 1.08.02
hysys_102209_220211.log (30.8 KB) - added by michelpons 11 years ago.
Log file obtained with COLTT 1.08.03 build Oct 19, 2009

Change History

Changed 11 years ago by michelpons

Log file obtained with COLTT 1.07

Changed 11 years ago by michelpons

Log file originally obtained with COLTT 1.08.02

Changed 11 years ago by michelpons

Log file subsequently obtained with modified 1.08.02

comment:1 Changed 11 years ago by michelpons

With COLTT 1.08.03 (build Oct 19, 2009), the issue about:

CheckEquilibriumSpec returns:

Specification1 Specification2 Solution Type isSupported

PropertyPackage <Anonymous> : Return from CheckEquilibriumSpec - No Error

has disappeared. The log file (see attached hysys_102209_220211.log) now displays:

CheckEquilibriumSpec returns:

isSupported True
The combination of specifications and solution type is supported.

PropertyPackage <Anonymous> : Return from CheckEquilibriumSpec - Succeeded

So this issue of a difference between COLTT 1.07 and COLTT 1.08 is resolved with 1.08.03.

comment:2 Changed 11 years ago by michelpons

  • Status changed from new to closed
  • Resolution set to fixed

Changed 11 years ago by michelpons

Log file obtained with COLTT 1.08.03 build Oct 19, 2009

Note: See TracTickets for help on using tickets.